%def_without devel

Name:		libev
Version:	3.43
Release:	alt4
Summary:	libev - an event notification library
License:	BSD or GPL v2+
URL:		http://software.schmorp.de/pkg/libev
Group:		System/Libraries
Source:	%name-%version.tar
Packager: Kirill A. Shutemov <kas@altlinux.ru>

%description
The libev API provides a mechanism to execute a callback function when
a specific event occurs on a file descriptor or after a timeout has
been reached. It is meant to replace the asynchronous event loop found
in event-driven network servers.

%if_with devel
%package devel
Summary:	Header files for libev library
Group:		Development/C
Requires:	%name = %version-%release

%description devel
Header files for libev library.

%package devel-static
Summary:	Static libev library
Group:		Development/C
Requires:	%name-devel = %version-%release

%description devel-static
Static libev library.
%endif

%prep
%setup

%build
%autoreconf
%configure 
%make_build

%install
%makeinstall

# avoid conflict with libevent
install -d %buildroot%_includedir/libev
mv %buildroot%_includedir/event.h %buildroot%_includedir/libev

%files
%doc Changes LICENSE README
%_libdir/libev.so.*

%if_with devel
%files devel
%_libdir/libev.so
%_includedir/ev.h
%_includedir/ev++.h
%_includedir/libev
%_man3dir/*

%files devel-static
%_libdir/libev.a
%endif

%changelog
* Tue Dec 07 2010 Denis Smirnov <mithraen@altlinux.ru> 3.43-alt4
- not package %name-devel

* Mon Nov 01 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.43-alt3
- Rebuilt for soname set-versions

* Tue Mar 09 2010 Timur Batyrshin <erthad@altlinux.org> 3.43-alt2
- removed obsolete %post/%postun sections

* Tue Aug 26 2008 Kirill A. Shutemov <kas@altlinux.ru> 3.43-alt1
- First build for ALT Linux
